Summary: Mouse and keyboard sharing utility
Name: synergy-plus
Version: 1.3.4
Release: 3%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: http://code.google.com/p/synergy-plus/
Source: http://synergy-plus.googlecode.com/files/synergy-plus-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXtst-devel
BuildRequires: libXt-devel
BuildRequires: libXinerama-devel

%description
Synergy+ (synergy-plus) lets you easily share a single mouse and keyboard
between multiple computers with different operating systems, without special
hardware. All you need is a LAN connection. It's intended for users with
multiple computers, where each system uses its own display. It's a little
like having a 2nd or a 3rd desktop.
Synergy+ is a maintenance fork for implementing bug fixes to the original
Synergy, which hasn't received any source updates or new releases since 2006.


%prep
%setup -q
# Remove spurious executable bit from sources files
find . -type f -name '*.cpp' -exec chmod -x {} \;


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
# None of the documentation files are actually useful here, they all point to
# the online website, so include just one, the README
%doc COPYING README examples/synergy.conf
%{_bindir}/synergyc
%{_bindir}/synergys


%changelog
* Tue Aug 18 2009 Matthias Saou <http://freshrpms.net/> 1.3.4-3
- Don't use the -executable find option, it doesn't work with older versions.

* Tue Aug 18 2009 Matthias Saou <http://freshrpms.net/> 1.3.4-2
- Initial RPM release, based on the spec from the original synergy.
- Remove spurious executable bit from sources files.

